summaryrefslogtreecommitdiff
path: root/configs/releng-openrc/airootfs
diff options
context:
space:
mode:
Diffstat (limited to 'configs/releng-openrc/airootfs')
-rw-r--r--configs/releng-openrc/airootfs/etc/conf.d/agetty.tty13
-rw-r--r--configs/releng-openrc/airootfs/etc/conf.d/hostname1
-rw-r--r--configs/releng-openrc/airootfs/etc/fstab0
-rwxr-xr-xconfigs/releng-openrc/airootfs/etc/local.d/pacman-init.start5
-rw-r--r--configs/releng-openrc/airootfs/etc/locale.conf1
-rw-r--r--configs/releng-openrc/airootfs/etc/motd14
-rw-r--r--configs/releng-openrc/airootfs/etc/pam.d/su6
-rwxr-xr-xconfigs/releng-openrc/airootfs/root/.automated_script.sh34
-rw-r--r--configs/releng-openrc/airootfs/root/.zlogin1
-rwxr-xr-xconfigs/releng-openrc/airootfs/root/customize_airootfs.sh23
-rw-r--r--configs/releng-openrc/airootfs/root/install.txt2
11 files changed, 90 insertions, 0 deletions
diff --git a/configs/releng-openrc/airootfs/etc/conf.d/agetty.tty1 b/configs/releng-openrc/airootfs/etc/conf.d/agetty.tty1
new file mode 100644
index 0000000..997909c
--- /dev/null
+++ b/configs/releng-openrc/airootfs/etc/conf.d/agetty.tty1
@@ -0,0 +1,3 @@
+baud="38400"
+term_type="linux"
+agetty_options="--autologin root --noclear"
diff --git a/configs/releng-openrc/airootfs/etc/conf.d/hostname b/configs/releng-openrc/airootfs/etc/conf.d/hostname
new file mode 100644
index 0000000..5a912cd
--- /dev/null
+++ b/configs/releng-openrc/airootfs/etc/conf.d/hostname
@@ -0,0 +1 @@
+hostname="parabolaiso"
diff --git a/configs/releng-openrc/airootfs/etc/fstab b/configs/releng-openrc/airootfs/etc/fstab
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/configs/releng-openrc/airootfs/etc/fstab
diff --git a/configs/releng-openrc/airootfs/etc/local.d/pacman-init.start b/configs/releng-openrc/airootfs/etc/local.d/pacman-init.start
new file mode 100755
index 0000000..5ab34f7
--- /dev/null
+++ b/configs/releng-openrc/airootfs/etc/local.d/pacman-init.start
@@ -0,0 +1,5 @@
+#!/bin/bash
+if ! [ -d /etc/pacman.d/gnupg ]; then
+ pacman-key --init
+ pacman-key --populate archlinux archlinux32 parabola
+fi
diff --git a/configs/releng-openrc/airootfs/etc/locale.conf b/configs/releng-openrc/airootfs/etc/locale.conf
new file mode 100644
index 0000000..01ec548
--- /dev/null
+++ b/configs/releng-openrc/airootfs/etc/locale.conf
@@ -0,0 +1 @@
+LANG=en_US.UTF-8
diff --git a/configs/releng-openrc/airootfs/etc/motd b/configs/releng-openrc/airootfs/etc/motd
new file mode 100644
index 0000000..e4c893c
--- /dev/null
+++ b/configs/releng-openrc/airootfs/etc/motd
@@ -0,0 +1,14 @@
+
+===============================================================================
+
+ Parabola GNU/Linux-libre live media _DATE_
+
+ To install Parabola, the system must be connected to the internet.
+ For instructions, enter this command:
+ less install.txt
+
+ Press the function keys while holding Alt to switch virtual terminals.
+ This allows entering commands without closing less.
+
+===============================================================================
+
diff --git a/configs/releng-openrc/airootfs/etc/pam.d/su b/configs/releng-openrc/airootfs/etc/pam.d/su
new file mode 100644
index 0000000..a291042
--- /dev/null
+++ b/configs/releng-openrc/airootfs/etc/pam.d/su
@@ -0,0 +1,6 @@
+#%PAM-1.0
+auth sufficient pam_rootok.so
+auth sufficient pam_wheel.so trust use_uid
+auth required pam_unix.so
+account required pam_unix.so
+session required pam_unix.so
diff --git a/configs/releng-openrc/airootfs/root/.automated_script.sh b/configs/releng-openrc/airootfs/root/.automated_script.sh
new file mode 100755
index 0000000..fb106da
--- /dev/null
+++ b/configs/releng-openrc/airootfs/root/.automated_script.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+script_cmdline ()
+{
+ local param
+ for param in $(< /proc/cmdline); do
+ case "${param}" in
+ script=*) echo "${param##*=}" ; return 0 ;;
+ esac
+ done
+}
+
+automated_script ()
+{
+ local script rt
+ script="$(script_cmdline)"
+ if [[ -n "${script}" && ! -x /tmp/startup_script ]]; then
+ if [[ "${script}" =~ ^http:// || "${script}" =~ ^ftp:// ]]; then
+ wget "${script}" --retry-connrefused -q -O /tmp/startup_script >/dev/null
+ rt=$?
+ else
+ cp "${script}" /tmp/startup_script
+ rt=$?
+ fi
+ if [[ ${rt} -eq 0 ]]; then
+ chmod +x /tmp/startup_script
+ /tmp/startup_script
+ fi
+ fi
+}
+
+if [[ $(tty) == "/dev/tty1" ]]; then
+ automated_script
+fi
diff --git a/configs/releng-openrc/airootfs/root/.zlogin b/configs/releng-openrc/airootfs/root/.zlogin
new file mode 100644
index 0000000..f598e43
--- /dev/null
+++ b/configs/releng-openrc/airootfs/root/.zlogin
@@ -0,0 +1 @@
+~/.automated_script.sh
diff --git a/configs/releng-openrc/airootfs/root/customize_airootfs.sh b/configs/releng-openrc/airootfs/root/customize_airootfs.sh
new file mode 100755
index 0000000..3f6278f
--- /dev/null
+++ b/configs/releng-openrc/airootfs/root/customize_airootfs.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -e -u
+
+sed -i 's/#\(en_US\.UTF-8\)/\1/' /etc/locale.gen
+locale-gen
+
+ln -sf /usr/share/zoneinfo/UTC /etc/localtime
+
+usermod -s /usr/bin/zsh root
+cp -aT /etc/skel/ /root/
+chmod 700 /root
+
+sed -i 's/#\(PermitRootLogin \).\+/\1yes/' /etc/ssh/sshd_config
+sed -i "s/#Server/Server/g" /etc/pacman.d/mirrorlist
+
+sed -i 's/#\(HandleSuspendKey=\)suspend/\1ignore/' /etc/elogind/logind.conf
+sed -i 's/#\(HandleHibernateKey=\)hibernate/\1ignore/' /etc/elogind/logind.conf
+sed -i 's/#\(HandleLidSwitch=\)suspend/\1ignore/' /etc/elogind/logind.conf
+
+rc-update add NetworkManager default
+
+sed -i "s/_DATE_/$(date +%Y.%m.%d)/" /etc/motd
diff --git a/configs/releng-openrc/airootfs/root/install.txt b/configs/releng-openrc/airootfs/root/install.txt
new file mode 100644
index 0000000..a594b97
--- /dev/null
+++ b/configs/releng-openrc/airootfs/root/install.txt
@@ -0,0 +1,2 @@
+View this installation guide online at
+https://wiki.parabola.nu/Installation_Guide